## microsoft-authentication-library-for-python 1.1.0

=== requirements.txt ===
.
mock; python_version < '3.3'

=== debian/changelog ===
microsoft-authentication-library-for-python (1.1.0-3) unstable; urgency=medium

  * Fix Vcs URLs, pointing to the wrong package.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 20:27:09 +0000

microsoft-authentication-library-for-python (1.1.0-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 11:17:16 +0000

microsoft-authentication-library-for-python (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #951126)

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Feb 2020 18:24:26 +0000

=== debian/control ===
Source: microsoft-authentication-library-for-python
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-jwt <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/AzureAD/microsoft-authentication-library-for-python
Vcs-Browser: https://salsa.debian.org/debian/microsoft-authentication-library-for-python
Vcs-Git: https://salsa.debian.org/debian/microsoft-authentication-library-for-python.git

Package: python3-msal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Microsoft Authentication Library (MSAL) for Python
 The Microsoft Authentication Library for Python enables applications to
 integrate with the Microsoft identity platform. It allows you to sign in users
 or apps with Microsoft identities (Azure AD, Microsoft Accounts and Azure AD
 B2C accounts) and obtain tokens to call Microsoft APIs such as Microsoft Graph
 or your own APIs registered with the Microsoft identity platform. It is built
 using industry standard OAuth2 and OpenID Connect protocols

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf msal.egg-info docs/_build docs/api

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	sphinx-apidoc -f -e -o docs/api msal
	$(MAKE) -C docs man
endif
endif

# tests will attempt network connections, skip them
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/microsoft-authentication-library-for-python-?(\d\S+)\.tar\.gz/microsoft-authentication-library-for-python_$1\.orig\.tar\.gz/ \
  https://github.com/AzureAD/microsoft-authentication-library-for-python/tags .*/(\d\S+)\.tar\.gz

## microsoft-authentication-library-for-python 1.2.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.2.0-1) unstable; urgency=medium

  * Merge tag '1.2.0' into debian/sid
  * Drop 0001-Add-source-root-dir-to-python-path-in-docs-conf.py.patch,
    merged upstream in 1.2.0
  * Fix uscan filenamemangle parameter to correctly download new tarballs

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Apr 2020 11:27:43 +0100

microsoft-authentication-library-for-python (1.1.0-4) unstable; urgency=medium

  * Add autopkgtest support
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: microsoft-authentication-library-for-python
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -11,8 +12,9 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/AzureAD/microsoft-authentication-library-for-python
-Vcs-Browser: https://salsa.debian.org/debian/microsoft-authentication-library-for-python
-Vcs-Git: https://salsa.debian.org/debian/microsoft-authentication-library-for-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python
+Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python.git
+Testsuite: autopkgtest-pkg-python, autopkgtest
 
 Package: python3-msal
 Architecture: all

## microsoft-authentication-library-for-python 1.4.3

=== debian/changelog ===
microsoft-authentication-library-for-python (1.4.3-1) unstable; urgency=medium

  * Merge tag '1.4.3' into debian/sid
  * Remove redundant autopkgtest from Testsuite field in d/control

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Jul 2020 17:09:43 +0100

microsoft-authentication-library-for-python (1.4.1-1) unstable; urgency=medium

  * Merge tag '1.4.1' into newver

 -- Luca Boccassi <bluca@debian.org>  Tue, 30 Jun 2020 15:38:11 +0100

microsoft-authentication-library-for-python (1.3.0-1) unstable; urgency=medium

  * Merge tag '1.3.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 May 2020 15:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Homepage: https://github.com/AzureAD/microsoft-authentication-library-for-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-msal
 Architecture: all

## microsoft-authentication-library-for-python 1.6.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.6.0-1) unstable; urgency=medium

  * Merge tag '1.6.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Fri, 06 Nov 2020 13:58:59 +0000

microsoft-authentication-library-for-python (1.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Luca Boccassi ]
  * Merge tag '1.5.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Oct 2020 10:58:20 +0000

microsoft-authentication-library-for-python (1.5.0-1) unstable; urgency=medium

  * Merge tag '1.5.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Sep 2020 14:45:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: microsoft-authentication-library-for-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -12,8 +12,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/AzureAD/microsoft-authentication-library-for-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-library-for-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/microsoft-authentication-library-for-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/microsoft-authentication-library-for-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-msal

## microsoft-authentication-library-for-python 1.8.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.8.0-1) unstable; urgency=medium

  * Merge tag '1.8.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Dec 2020 11:27:00 +0000

microsoft-authentication-library-for-python (1.7.0-1) unstable; urgency=medium

  * Merge tag '1.7.0' into debian/sid
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Dec 2020 11:27:23 +0000

## microsoft-authentication-library-for-python 1.9.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.9.0-1) unstable; urgency=medium

  * Merge tag '1.9.0' into debian/sid
  * autopkgtest: set TRAVIS=1 to skip interactive tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Feb 2021 11:48:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: microsoft-authentication-library-for-python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-jwt <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-msal, python3-pytest,

## microsoft-authentication-library-for-python 1.15.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.15.0-1) unstable; urgency=medium

  * Merge tag '1.15.0' into debian/sid
  * Switch to dh-sequence-python3

 -- Luca Boccassi <bluca@debian.org>  Tue, 05 Oct 2021 12:51:20 +0100

microsoft-authentication-library-for-python (1.14.0-1) unstable; urgency=medium

  * Merge tag '1.14.0' into debian/sid
  * Bump Standards-Version to 4.6.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Sep 2021 11:54:56 +0100

microsoft-authentication-library-for-python (1.13.0-1) unstable; urgency=medium

  * Merge tag '1.13.0' into debian/sid
  * Add test build dependency on python3-mock

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Aug 2021 14:40:47 +0100

## microsoft-authentication-library-for-python 1.16.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.16.0-1) unstable; urgency=medium

  * Merge tag '1.16.0' into debian/sid
  * autopkgtest: add dependency on python3-all:any
  * lintian: override very-long-line-length-in-source-file

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Nov 2021 20:49:49 +0000

## microsoft-authentication-library-for-python 1.17.0

=== docs/requirements.txt ===
furo
-r ../requirements.txt

=== debian/changelog ===
microsoft-authentication-library-for-python (1.17.0-1) unstable; urgency=medium

  * Merge tag '1.17.0' into debian/sid
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Feb 2022 12:02:30 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
+               python3-mock <!nocheck>,
                python3-jwt <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_AFTER_CLEAN=rm -rf msal.egg-info docs/_build docs/api
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## microsoft-authentication-library-for-python 1.18.0b1

=== debian/changelog ===
microsoft-authentication-library-for-python (1.18.0b1-1) unstable; urgency=medium

  * Merge tag '1.18.0b1' into debian/sid
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 May 2022 13:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-jwt <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## microsoft-authentication-library-for-python 1.20.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.20.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Oct 2022 10:09:44 +0100

microsoft-authentication-library-for-python (1.20.0-1) unstable; urgency=medium

  * Merge tag '1.20.0' into debian/sid
  * Add Build-Dep on python3-sphinx-paramlinks

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Oct 2022 10:38:57 +0100

microsoft-authentication-library-for-python (1.18.0b1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 15:02:24 +0100

microsoft-authentication-library-for-python (1.17.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Apr 2022 23:41:07 +0100

microsoft-authentication-library-for-python (1.16.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Jan 2022 11:19:06 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python3-jwt <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-paramlinks <!nodoc>,
 Standards-Version: 4.6.1
 Section: python
 Priority: optional

## microsoft-authentication-library-for-python 1.21.0

=== requirements.txt ===
.
python-dotenv

=== debian/changelog ===
microsoft-authentication-library-for-python (1.21.0-1) unstable; urgency=medium

  * Merge tag '1.21.0' into debian/sid
  * Bump copyright year ranges in d/copyright
  * Bump Standards-Version to 4.6.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Feb 2023 00:19:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-paramlinks <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## microsoft-authentication-library-for-python 1.22.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.22.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.22.0'

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Jun 2023 01:06:02 +0100

## microsoft-authentication-library-for-python 1.23.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.23.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.23.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jul 2023 13:55:45 +0100

## microsoft-authentication-library-for-python 1.25.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.25.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.25.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 09 Nov 2023 12:06:38 +0000

microsoft-authentication-library-for-python (1.24.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.24.1'
  * autopkgtest: disable benchmark test
  * autopkgtest: disable cryptography version check

 -- Luca Boccassi <bluca@debian.org>  Fri, 06 Oct 2023 16:43:56 +0100

## microsoft-authentication-library-for-python 1.26.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.26.0-2) unstable; urgency=medium

  * Team Upload
  * remove python3-mock build-dep: it's hybridized

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 Feb 2024 18:13:06 +0100

microsoft-authentication-library-for-python (1.26.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.26.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Dec 2023 13:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-mock <!nocheck>,
                python3-jwt <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/microsoft-authentication-library-for-python_$1\.orig\.tar\.gz/ \
  https://github.com/AzureAD/microsoft-authentication-library-for-python/tags .*/(\d\S+)\.tar\.gz

## microsoft-authentication-library-for-python 1.28.1

=== debian/changelog ===
microsoft-authentication-library-for-python (1.28.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.28.1'
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Jun 2024 22:24:58 +0100

microsoft-authentication-library-for-python (1.28.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.28.0'
  * Drop remove-python3-mock.patch, fixed upstream

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Mar 2024 22:34:51 +0000

## microsoft-authentication-library-for-python 1.29.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.29.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.29.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Jun 2024 12:09:05 +0100

## microsoft-authentication-library-for-python 1.30.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.30.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.30.0'

 -- Luca Boccassi <bluca@debian.org>  Sun, 21 Jul 2024 16:54:39 +0100

## microsoft-authentication-library-for-python 1.31.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.31.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.31.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 12:22:28 +0200

## microsoft-authentication-library-for-python 1.31.1

=== debian/changelog ===
microsoft-authentication-library-for-python (1.31.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.31.1'
  * Use d/clean instead of manual rm

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Nov 2024 23:22:27 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-paramlinks <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_AFTER_CLEAN=rm -rf msal.egg-info docs/_build docs/api
 
 %:
 	dh $@ --buildsystem=pybuild

## microsoft-authentication-library-for-python 1.32.0

=== debian/changelog ===
microsoft-authentication-library-for-python (1.32.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.32.0'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Mar 2025 10:28:48 +0000

## microsoft-authentication-library-for-python 1.32.3

=== debian/changelog ===
microsoft-authentication-library-for-python (1.32.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.32.3'

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Apr 2025 13:33:22 +0100

## microsoft-authentication-library-for-python 1.34.0

=== requirements.txt ===
-e .

# python-dotenv 1.0+ no longer supports Python 3.7
python-dotenv>=0.21,<2

pytest-benchmark>=4,<5
perf_baseline>=0.1,<0.2

=== docs/requirements.txt ===
furo
sphinx-paramlinks
-r ../requirements.txt

=== debian/changelog ===
microsoft-authentication-library-for-python (1.34.0-1) unstable; urgency=medium

  * d/watch: update to sort beta releases
  * Update upstream source from tag 'upstream/1.34.0'
  * d/rules: use execute_after instead of override

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 Sep 2025 10:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-paramlinks <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	sphinx-apidoc -f -e -o docs/api msal

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-msal, python3-pytest, python3-all:any,

=== debian/watch ===
version=4
 opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/archive/refs/tags/$2.tar.gz%g,\
 uversionmangle=s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/,\
 searchmode=plain \
 https://api.github.com/repos/AzureAD/microsoft-authentication-library-for-python/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## microsoft-authentication-library-for-python 1.35.0

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,7 @@
 pytest-benchmark>=4,<5
 perf_baseline>=0.1,<0.2
 
+# For lab_config.py to fetch test secrets from Key Vault
+azure-identity>=1.12,<2
+azure-keyvault-secrets>=4.6,<5
+

=== debian/changelog ===
microsoft-authentication-library-for-python (1.35.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.35.0'
  * Add python3-azure dependency to autopkgtest
  * autopkgtest: disable tests that require network connection to backend

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Feb 2026 13:53:52 +0000

microsoft-authentication-library-for-python (1.34.0-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Jan 2026 11:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-paramlinks <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: python
-Priority: optional
-Rules-Requires-Root: no
 Homepage: https://github.com/AzureAD/microsoft-authentication-library-for-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/microsoft-authentication-library-for-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/microsoft-authentication-library-for-python.git

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-msal, python3-pytest, python3-all:any, python3-azure,
